package com.example.depanntout

import android.content.Intent
import android.os.Bundle
import android.widget.Button
import androidx.activity.enableEdgeToEdge
import androidx.appcompat.app.AppCompatActivity
import androidx.core.view.ViewCompat
import androidx.core.view.WindowInsetsCompat

class Home : AppCompatActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        enableEdgeToEdge()
        setContentView(R.layout.activity_home)
        ViewCompat.setOnApplyWindowInsetsListener(findViewById(R.id.home)) { v, insets ->
            val systemBars = insets.getInsets(WindowInsetsCompat.Type.systemBars())
            v.setPadding(systemBars.left, systemBars.top, systemBars.right, systemBars.bottom)
            insets
        }

        val buttonToClients = findViewById<Button>(R.id.btnClients)
        buttonToClients.setOnClickListener() {
            val intent = Intent(this, ListeClients::class.java)
            startActivity(intent)
        }

        val buttonToInterventions = findViewById<Button>(R.id.btnInterventions)
        buttonToInterventions.setOnClickListener() {
            val intent = Intent(this, ListeInterventions::class.java)
            startActivity(intent)
        }
    }
}